The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Licenses

Prev Next

This URL deletes licenses.

Resource URL

DELETE /license/delete/<licensetype>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
licensetype License type can be one of the following:
  1. Proxy
  2. Capacity
  3. vIPS
String Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
licenseId List of license ids Array of string Yes

Response Parameters

Following fields are returned:

Field Name Description Data Type
status Set to 1 if the deletion is successful Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/license/delete/proxy

Payload

{
'licenseId': ['10004']
} 

Response

{
        "status": 1
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error